from django.urls import path
from .views import home, project_list, project_detail, create_project, signup, regenerate_mindmap
from .ai_views import ai_chat

urlpatterns = [
    path("", home, name="home"),
    path("projects/", project_list, name="project_list"),
    path("projects/new/", create_project, name="create_project"),
    path("projects/<int:pk>/", project_detail, name="project_detail"),
    path("projects/<int:pk>/regenerate/", regenerate_mindmap, name="regenerate_mindmap"),
    path("projects/<int:pk>/ai/", ai_chat, name="ai_chat"),
    path("signup/", signup, name="signup"),
]